@source '../../vendor/filament/**/*.blade.php';

@custom-variant dark (&:is(.dark *));

@utility container {
    margin-inline: auto;
    @media (width >= --theme(--breakpoint-sm)) {
        max-width: none;
    }
    @media (width >= 640px) {
        max-width: 640px;
    }
    @media (width >= 768px) {
        max-width: 768px;
    }
    @media (width >= 1024px) {
        max-width: 1024px;
    }
    @media (width >= 1296px) {
        max-width: 1296px;
    }
    @media (width >= 1536px) {
        max-width: 1536px;
    }
}

@layer components {
    @media (min-width: 40rem) {
        .fi-header {
            flex-direction: column;
            align-items: start;
        }
    }

    @media (min-width: 40rem) {
        .fi-header.fi-header-has-breadcrumbs .fi-header-actions-ctn {
            margin-top: 0;
        }
    }
}

.fi-in-entry-content ul {
    list-style-type: disc;
    padding-left: 1.5rem;
}

.fi-in-entry-content ol {
    list-style-type: decimal;
    padding-left: 1.5rem;
}

.fi-in-entry-content li {
    margin-block: 0.25rem;
}

.fi-in-entry-content p {
    padding: 0.5rem 0 0 0;
}

.fi-in-entry-content .fi-in-repeatable {
    padding-left: 0;
}

.fi-in-entry-content .fi-in-repeatable-item {
    padding-left: 0;
    margin-block: 0;
}

.fi-in-repeatable-item .fi-fo-component-ctn.gap-6 {
    gap: 0.3rem;
}
